/Users/bernard/b20/bsoft/src/rwimg/rwCCP4.cpp(3)

NAME
/Users/bernard/b20/bsoft/src/rwimg/rwCCP4.cpp - Functions for reading and writing CCP4 files.

SYNOPSIS

#include 'rwCCP4.h'
#include 'UnitCell.h'
#include 'file_util.h'
#include 'utilities.h'
#include 'rwsymop.h'

  Functions
int set_CCP4_machine_stamp (char *machine_stamp)
Setting a CCP4 style machine stamp.
int readCCP4 (Bimage *p, int readdata)
Reading a CCP4 map image file format.
int writeCCP4 (Bimage *p)
Writing a CCP4 map image file format.

  Variables
int verbose

Detailed Description

Functions for reading and writing CCP4 files.

Author:
    Bernard Heymann

Date:
    Created: 19990410

    Modified: 20120730

Definition in file rwCCP4.cpp.

Function Documentation

  int readCCP4 (Bimage * p, int readdata)

Reading a CCP4 map image file format.

Parameters:
    *p the image structure.
    readdata flag to activate reading of image data.

Returns:
    int error code (<0 means failure). A 3D image format used in X-ray crystallography. Header size: 1024 bytes followed by the symmetry operator table which is composed of 80 character lines, each line for a symmetry operator. File format extensions: .map, .ccp, .ccp4 The identifier is a 4-byte machine stamp: 1 Big-endian IEEE 17 17 00 00 2 VAX 34 65 00 00 3 Cray - 4 Little-endian IEEE 68 65 00 00 5 Convex 85 17 00 00 6 Fijitsu VP - (Note: not always implemented - so unreliable) Byte order determination: Data type and third dimension values must be less than 256*256. Data types: 0 = signed char, 1 = short, 2 = float, 3 = complex short, 4 = complex float. Transform type: Centered hermitian The x-dimension contains the x-size of the full transform

Definition at line 81 of file rwCCP4.cpp.

  int set_CCP4_machine_stamp (char * machine_stamp)

Setting a CCP4 style machine stamp.

Parameters:
    *machine_stamp machine stamp string.

Returns:
    int error code (<0 means failure). The 4-byte machine stamp: 1 Big-endian IEEE 17 17 00 00 2 VAX 34 65 00 00 3 Cray - 4 Little-endian IEEE 68 65 00 00 5 Convex 85 17 00 00 6 Fijitsu VP - (Note: not always implemented - so unreliable)

Definition at line 34 of file rwCCP4.cpp.

  int writeCCP4 (Bimage * p)

Writing a CCP4 map image file format.

Parameters:
    *p the image structure.

Returns:
    int error code (<0 means failure). A 3D image format used in X-ray crystallography.

Definition at line 207 of file rwCCP4.cpp.

Variable Documentation

  int verbose

Author

Generated automatically by Doxygen for Bsoft from the source code.